<div [ngClass]="['home-tab-trending']">
  <div
    [ngClass]="[
      jds.d('flex'),
      jds.alignItems('end'),
      jds.justifyContent('between'),
      jds.borderBottom(2)
    ]"
    [style.borderColor]="'#9e9e9e !important'"
  >
    <ul
      #nav="jdsBiNav"
      [activeId]="vm.filterCatalog()"
      [colorScheme]="colorScheme"
      [ngClass]="[jds.alignItems('center'), jds.mb(-2)]"
      jdsBiNav
      variant="ghost"
    >
      <li [jdsBiNavItem]="'dataset'">
        <a
          (click)="handleFilterCatalog('dataset')"
          jdsBiNavLink
        >
          Dataset
        </a>
      </li>
      <li [jdsBiNavItem]="'visualization'">
        <a
          (click)="handleFilterCatalog('visualization')"
          jdsBiNavLink
        >
          Visualisasi
        </a>
      </li>
      <li [jdsBiNavItem]="'topic'">
        <a
          (click)="handleFilterCatalog('topic')"
          jdsBiNavLink
        >
          Topik
        </a>
      </li>
      <li [jdsBiNavItem]="'organization'">
        <a
          (click)="handleFilterCatalog('organization')"
          jdsBiNavLink
        >
          Organisasi
        </a>
      </li>
    </ul>

    <div
      [style.visibility]="
        vm.filterCatalog() === 'dataset' ||
        vm.filterCatalog() === 'visualization'
          ? 'visible'
          : 'hidden'
      "
      [ngClass]="[jds.d('flex'), jds.gap(8), jds.py(8)]"
    >
      <ng-select
        #sort
        [ngModel]="vm.filterSort()"
        [searchable]="false"
        [clearable]="false"
        [items]="
          vm.filterCatalog() === 'dataset'
            ? sortDatasetOption
            : vm.filterCatalog() === 'indicator'
              ? sortIndicatorOption
              : sortVisualizationOption
        "
        (change)="handleFilterSort($event)"
        bindValue="value"
        bindLabel="label"
        placeholder="Urutkan"
      />
    </div>
  </div>
</div>
